Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class VerseTreeNode

    java.lang.Object
      org.crosswire.bibledesktop.passage.BibleTreeNode
          org.crosswire.bibledesktop.passage.BookTreeNode
              org.crosswire.bibledesktop.passage.ChapterTreeNode
                  org.crosswire.bibledesktop.passage.VerseTreeNode

All Implemented Interfaces:
  TreeNode

    public class VerseTreeNode

extends ChapterTreeNode

PassageTableModel.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: VerseTreeNode.java,v 1.4 2004/11/28 21:36:04 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Nested Class Summary

Nested classes/interfaces inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`BibleTreeNode.NodeEnumeration`

Field Summary
`protected int` | `verse` The Verse that this node referrs to

Fields inherited from class org.crosswire.bibledesktop.passage.ChapterTreeNode
`chapter`

Fields inherited from class org.crosswire.bibledesktop.passage.BookTreeNode
`book, parent`

Fields inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`kids, ref`

Constructor Summary
`protected` | `VerseTreeNode(TreeNode parent, int book, int passage, int verse)` This constructor is for when we are really a BookTreeNode

Method Summary
`TreeNode` | `getChildAt(int i)` Returns the child `TreeNode` at index i
`int` | `getChildCount()` Returns the number of children `TreeNode`s the receiver contains.
`int` | `getIndex(TreeNode node)` Returns the index of `node` in the receivers children.
`int` | `getVerse()` The current Passage number
`void` | `setPassage(Passage ref, boolean filter)` This constructor is for when we are really a BookTreeNode
`String` | `toString()` How we appear in the Tree

Methods inherited from class org.crosswire.bibledesktop.passage.ChapterTreeNode
`getChapter`

Methods inherited from class org.crosswire.bibledesktop.passage.BookTreeNode
`getBook, getParent`

Methods inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`children, getAllowsChildren, isLeaf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### verse

    protected int verse

  The Verse that this node referrs to

Constructor Detail

### VerseTreeNode

    protected VerseTreeNode(TreeNode parent,
                            int book,
                            int passage,
                            int verse)
                     throws NoSuchVerseException

  This constructor is for when we are really a BookTreeNode

  Throws:
    `NoSuchVerseException`

Method Detail

### setPassage

    public void setPassage(Passage ref,
                           boolean filter)

  This constructor is for when we are really a BookTreeNode

  Overrides:
    `setPassage` in class `ChapterTreeNode`

### getChildAt

    public TreeNode getChildAt(int i)

  Returns the child `TreeNode` at index i

  Specified by:
    `getChildAt` in interface `TreeNode`
  Overrides:
    `getChildAt` in class `ChapterTreeNode`

### getChildCount

    public int getChildCount()

  Returns the number of children `TreeNode`s the receiver contains.

  Specified by:
    `getChildCount` in interface `TreeNode`
  Overrides:
    `getChildCount` in class `BibleTreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Returns the index of `node` in the receivers children. If the receiver does not contain `node`, -1 will be returned.

  Specified by:
    `getIndex` in interface `TreeNode`
  Overrides:
    `getIndex` in class `ChapterTreeNode`

### toString

    public String toString()

  How we appear in the Tree

  Overrides:
    `toString` in class `ChapterTreeNode`

### getVerse

    public int getVerse()

  The current Passage number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD